<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>project</title>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/static/css/change_homepage.css">
</head>

<script src="http://d3js.org/d3.v3.min.js"></script>
<body>
<h1> Анализ содержания группы ВК </h1>
{% if not id %}
    <form method="get">
        <label>
            <input type="text" name="id" placeholder="Введите id группы">
            <input type="submit">
        </label>
    </form>
{% else %}
    <h2>Общая информация про сообщество https://vk.com/club{{ id }}</h2>
    <h3>1. Числовая мера важности членов группы: <i class="demo-container"> Loading... </i> </h3>
    <div id="div1" style="width:1300px;height:400px;"></div>
    <script type="text/javascript">;
        window.onload = function () {
            $.ajax({
                url: '/ajax/get_graph/',
                dataType: 'json',
                data: {id: '{{ id }}'},
                success: function (request) {
                    $( "i.demo-container" ).html( "<i> Loaded </i>" );
                    $( "i.most_popular" ).html( "<i> request_data.vost_poppular </i>" );
                    let data = request.data, x_1 = [], y_1 = [];
                    data.forEach(function (item) {
                        //x_1 - значения из users
                        x_1.push(item.x);
                        y_1.push(item.y);
                    })
                    let data1 = [
                        {
                            x: x_1,
                            y: y_1,
                            type: 'bar'
                        }
                    ];
                    Plotly.newPlot('div1', data1);
                },
                error: function (request) {
                $( "p.demo-container" ).html( "<p> Error </p>" );
                }
            });
        };
    </script>
    <h3>2. Самый популярный участник сообщества: <i id='most_popular'> Loading </i> </h3> <!--ptl.common_stats['AveragePower']/-->


    <h3>3. Количество обособленных групп в сообществе:</h3> <!--/-->

{% endif %}
<script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
</body>

</html>